Merge branch 'openssl-providers'
[strongswan.git] / src / frontends / gnome / auth-dialog / Makefile.am
index c91c624..48edf61 100644 (file)
@@ -1,12 +1,10 @@
-libexec_PROGRAMS = nm-strongswan-auth-dialog
+nm_libexec_PROGRAMS = nm-strongswan-auth-dialog
 
 nm_strongswan_auth_dialog_CPPFLAGS = \
-       $(GTHREAD_CFLAGS) \
        $(GTK_CFLAGS) \
-       $(LIBGNOMEUI_CFLAGS) \
-       $(GNOMEKEYRING_CFLAGS) \
-       $(NETWORK_MANAGER_CFLAGS) \
-       $(NM_UTILS_CFLAGS) \
+       $(LIBSECRET_CFLAGS) \
+       $(LIBNM_CFLAGS) \
+       $(LIBNMA_CFLAGS) \
        -DG_DISABLE_DEPRECATED \
        -DGNOME_DISABLE_DEPRECATED \
        -DGNOMELOCALEDIR=\"$(datadir)/locale\" \
@@ -17,7 +15,6 @@ nm_strongswan_auth_dialog_SOURCES =   \
 
 nm_strongswan_auth_dialog_LDADD = \
        $(GTK_LIBS) \
-       $(LIBGNOMEUI_LIBS) \
-       $(GNOMEKEYRING_LIBS) \
-       $(NM_UTILS_LIBS)
-
+       $(LIBSECRET_LIBS) \
+       $(LIBNM_LIBS) \
+       $(LIBNMA_LIBS)